package com.chaozhanggui.dao.system.dao;

import com.chaozhanggui.dao.system.entity.TbPlussMerchantBackLkl;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

@Component
@Mapper
public interface TbPlussMerchantBackLklMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TbPlussMerchantBackLkl record);

    int insertSelective(TbPlussMerchantBackLkl record);

    TbPlussMerchantBackLkl selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TbPlussMerchantBackLkl record);

    int updateByPrimaryKey(TbPlussMerchantBackLkl record);

    TbPlussMerchantBackLkl selectByMercdeMerId(@Param("merchantCode") String merchantCode, @Param("merchantId") String merchantId);

}